metron-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From GitBox <...@apache.org>
Subject [GitHub] JonZeolla commented on a change in pull request #21: METRON-1911 Docker setup for testing bro plugin
Date Tue, 08 Jan 2019 19:58:33 GMT
JonZeolla commented on a change in pull request #21: METRON-1911 Docker setup for testing bro
plugin
URL: https://github.com/apache/metron-bro-plugin-kafka/pull/21#discussion_r246131959
 
 

 ##########
 File path: docker/in_docker_scripts/process_data_dir.sh
 ##########
 @@ -0,0 +1,32 @@
+#!/usr/bin/env bash
+
+#
+#  Licensed to the Apache Software Foundation (ASF) under one or more
+#  contributor license agreements.  See the NOTICE file distributed with
+#  this work for additional information regarding copyright ownership.
+#  The ASF licenses this file to You under the Apache License, Version 2.0
+#  (the "License"); you may not use this file except in compliance with
+#  the License.  You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+#  Unless required by applicable law or agreed to in writing, software
+#  distributed under the License is distributed on an "AS IS" BASIS,
+#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+#  See the License for the specific language governing permissions and
+#  limitations under the License.
+#
+
+shopt -s nocasematch
+
+cd /root || exit 1
+echo "================================" >> $RUN_LOG_PATH 2>&1
+
+if [ ! -d /root/data ] ; then
+  echo "DATA_PATH has not been set and mapped" >> $RUN_LOG_PATH 2&>1
+  exit 1
+fi
+
+ls /root/data
 
 Review comment:
   So shouldn't we remove it?

----------------------------------------------------------------
This is an automated message from the Apache Git Service.
To respond to the message, please log on GitHub and use the
URL above to go to the specific comment.
 
For queries about this service, please contact Infrastructure at:
users@infra.apache.org


With regards,
Apache Git Services

Mime
View raw message